Package com.collabnet.ce.soap60.webservices.tracker

# Class TrackerField2SoapDOMarshaler

java.lang.Object
com.collabnet.ce.soap60.marshaling.AbstractStatelessSoapMarshaler
com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDOMarshaler
com.collabnet.ce.soap60.webservices.tracker.TrackerField2SoapDOMarshaler

All Implemented Interfaces:
  `SoapMarshaler`

public class TrackerField2SoapDOMarshaler extends ObjectSoapDOMarshaler
Marshaler class for TrackerField2SoapDO.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `FOLDER_ID`
  `static final String`
  `FOLDER_PATH`
  `static final String`
  `MEMBER_NAME`
  `static final String`
  `ORIGINAL_FIELD_VALUES`
  `static final Map`
  `RMI_TO_SOAP_FIELD_DISPLAY_TYPE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SoapMarshaler`
  `getInstance(com.vasoftware.sf.server.types.UserSessionKey sessionKey)`
  Returns the singleton class instance.
  `boolean`
  `isStateless()`
  Determines if this marshaller is stateless/cacheable.
  `protected void`
  `protectedRmiToSoap(Object soapObject, Object rmiObject)`
  Unmarshals data from an rmi object to a given SOAP object.
  `protected void`
  `protectedSoapToRmi(Object soapObject, Object rmiObject)`
  Marshals data from a soap object to a given rmi object.
  `protected void`
  `protectedSoapToRmi(Object soapObject, Object rmiObject, Map additionalInfo)`
  `Object`
  `rmiToSoap(Object rmiObject)`
  Unmarshals an object used by RMI APIs to a SOAP object
  `Object`
  `soapToRmi(Object soapObject)`
  Converts a SOAP object to an object type required by RMI APIs.
  `Object`
  `soapToRmi(Object soapObject, Map additionalInfo)`

  ### Methods inherited from class com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDOMarshaler

  `getCoreService`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### FOLDER_PATH

    public static final String FOLDER_PATH
    See Also:
      - Constant Field Values

  - ### FOLDER_ID

    public static final String FOLDER_ID
    See Also:
      - Constant Field Values

  - ### MEMBER_NAME

    public static final String MEMBER_NAME
    See Also:
      - Constant Field Values

  - ### ORIGINAL_FIELD_VALUES

    public static final String ORIGINAL_FIELD_VALUES
    See Also:
      - Constant Field Values

  - ### RMI_TO_SOAP_FIELD_DISPLAY_TYPE

    public static final Map RMI_TO_SOAP_FIELD_DISPLAY_TYPE

- ## Method Details

  - ### getInstance

    public static SoapMarshaler getInstance(com.vasoftware.sf.server.types.UserSessionKey sessionKey)
    Returns the singleton class instance.
    Parameters:
      `sessionKey` - user session key
    Returns:
      Singleton class instance.

  - ### soapToRmi

    public Object soapToRmi(Object soapObject) throws SoapMarshalingException
    Description copied from interface: `SoapMarshaler`
    Converts a SOAP object to an object type required by RMI APIs.
    Parameters:
      `soapObject` - SOAP object to marshal.
    Returns:
      Object required by RMI APIs.
    Throws:
      `SoapMarshalingException` - when an error is encountered during marshaling.
    See Also:
      - `SoapMarshaler.soapToRmi(java.lang.Object)`

  - ### soapToRmi

    public Object soapToRmi(Object soapObject, Map additionalInfo) throws SoapMarshalingException
    Throws:
      `SoapMarshalingException`
    See Also:
      - `SoapMarshaler.soapToRmi(java.lang.Object)`

  - ### protectedSoapToRmi

    protected void protectedSoapToRmi(Object soapObject, Object rmiObject) throws SoapMarshalingException
    Description copied from class: `ObjectSoapDOMarshaler`
    Marshals data from a soap object to a given rmi object. This protected method is primarily used by marshaler classes to marshal members from a super-class marshaler.
    Overrides:
      `protectedSoapToRmi` in class `ObjectSoapDOMarshaler`
    Parameters:
      `soapObject` - SOAP object.
      `rmiObject` - RMI object.
    Throws:
      `SoapMarshalingException` - when an error is encountered during marshaling.
    See Also:
      - `SoapMarshaler.soapToRmi(java.lang.Object)`

  - ### protectedSoapToRmi

    protected void protectedSoapToRmi(Object soapObject, Object rmiObject, Map additionalInfo) throws SoapMarshalingException
    Throws:
      `SoapMarshalingException`
    See Also:
      - `SoapMarshaler.soapToRmi(java.lang.Object)`

  - ### rmiToSoap

    public Object rmiToSoap(Object rmiObject) throws SoapMarshalingException
    Description copied from interface: `SoapMarshaler`
    Unmarshals an object used by RMI APIs to a SOAP object
    Parameters:
      `rmiObject` - Object used by RMI apis.
    Returns:
      Unmarshaled SOAP object.
    Throws:
      `SoapMarshalingException` - when an error is encountered during unmarshaling.
    See Also:
      - `SoapMarshaler.rmiToSoap(java.lang.Object)`

  - ### protectedRmiToSoap

    protected void protectedRmiToSoap(Object soapObject, Object rmiObject) throws SoapMarshalingException
    Description copied from class: `ObjectSoapDOMarshaler`
    Unmarshals data from an rmi object to a given SOAP object. This protected method is primarily used by the marshaler classes to unmarshal members from a super-class marshaler.
    Overrides:
      `protectedRmiToSoap` in class `ObjectSoapDOMarshaler`
    Parameters:
      `soapObject` - SOAP object.
      `rmiObject` - RMI object.
    Throws:
      `SoapMarshalingException` - when an error is encountered during marshaling.
    See Also:
      - `SoapMarshaler.rmiToSoap(java.lang.Object)`

  - ### isStateless

    public boolean isStateless()
    Description copied from interface: `SoapMarshaler`
    Determines if this marshaller is stateless/cacheable.
    Specified by:
      `isStateless` in interface `SoapMarshaler`
    Overrides:
      `isStateless` in class `AbstractStatelessSoapMarshaler`
    Returns:
      true if the the marshaller is stateless
    See Also:
      - `SoapMarshaler.isStateless()`